Magick::DrawableGravity Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableGravity:
[legend]
Collaboration diagram for Magick::DrawableGravity:
[legend]

## Public Member Functions

| DrawableGravity (GravityType gravity_)
| ~DrawableGravity (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | gravity (GravityType gravity_)
GravityType | gravity (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 1091 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableGravity()

Magick::DrawableGravity::DrawableGravity | ( | GravityType | gravity_ | ) |

inline

Definition at line 1094 of file Drawable.h.

## ~DrawableGravity()

Magick::DrawableGravity::~DrawableGravity | ( | void |  | ) |

Definition at line 839 of file Drawable.cpp.

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableGravity::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 847 of file Drawable.cpp.

## gravity() [1/2]

void Magick::DrawableGravity::gravity | ( | GravityType | gravity_ | ) |

inline

Definition at line 1107 of file Drawable.h.

## gravity() [2/2]

GravityType Magick::DrawableGravity::gravity | ( | void |  | ) | const

inline

Definition at line 1111 of file Drawable.h.

## operator()()

void Magick::DrawableGravity::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 843 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp